{ pkgs ? import <nixpkgs> { } }:

with pkgs;

let
  rustup-toolchain = rust-bin.fromRustupToolchainFile ./rustup-toolchain.toml;
in
mkShell rec {
  packages = [
    cargo-edit
    cargo-insta
    cargo-make
    cargo-tarpaulin
    rustup-toolchain
  ];
}
